FilterDialog Class Reference

Filter options dialog. More...

`#include <FilterDialog.h>`

Inheritance diagram for FilterDialog:

## Public Slots

void | filter ()
void | setGraph (Graph *g)

## Public Member Functions

| FilterDialog (int type, QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

ColorButton * | boxColor
DoubleSpinBox * | boxEnd
QComboBox * | boxName
QCheckBox * | boxOffset
DoubleSpinBox * | boxStart
QPushButton * | buttonCancel
QPushButton * | buttonFilter
int | filter_type
Graph * | graph

## Detailed Description

Filter options dialog.

## Constructor & Destructor Documentation

## FilterDialog()

FilterDialog::FilterDialog | ( | int | type,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References FFTFilter::BandPass, boxColor, boxEnd, boxName, boxOffset, boxStart, buttonCancel, buttonFilter, ApplicationWindow::d_decimal_digits, filter(), FFTFilter::HighPass, ColorButton::setColor(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setMinimum(), and DoubleSpinBox::setValue().

## Member Function Documentation

## filter

void FilterDialog::filter | ( |  | ) |

slot

References FFTFilter::BandBlock, FFTFilter::BandPass, boxColor, boxEnd, boxName, boxOffset, boxStart, ColorButton::color(), Graph::curve(), FFTFilter::enableOffset(), filter_type, graph, Filter::run(), FFTFilter::setBand(), Filter::setColor(), FFTFilter::setCutoff(), and DoubleSpinBox::value().

Referenced by FilterDialog().

## setGraph

void FilterDialog::setGraph | ( | Graph * | g | ) |

slot

References Graph::analysableCurvesList(), boxName, and graph.

Referenced by ApplicationWindow::showFilterDialog().

## Member Data Documentation

## boxColor

ColorButton* FilterDialog::boxColor

private

Referenced by filter(), and FilterDialog().

## boxEnd

DoubleSpinBox* FilterDialog::boxEnd

private

Referenced by filter(), and FilterDialog().

## boxName

QComboBox* FilterDialog::boxName

private

Referenced by filter(), FilterDialog(), and setGraph().

## boxOffset

QCheckBox* FilterDialog::boxOffset

private

Referenced by filter(), and FilterDialog().

## boxStart

DoubleSpinBox* FilterDialog::boxStart

private

Referenced by filter(), and FilterDialog().

## buttonCancel

QPushButton* FilterDialog::buttonCancel

private

Referenced by FilterDialog().

## buttonFilter

QPushButton* FilterDialog::buttonFilter

private

Referenced by FilterDialog().

## filter_type

int FilterDialog::filter_type

private

Referenced by filter().

## graph

Graph* FilterDialog::graph

private

Referenced by filter(), and setGraph().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/FilterDialog.h
- qtiplot/src/analysis/dialogs/FilterDialog.cpp